Public Attributes | List of all members
_ll_spim_init_t Struct Reference
Peripheral Driver » LL Driver » SPI » Structures » SPI Exported init structure

LL SPIM init structures definition. More...

`#include <gr533x_ll_spi.h>`

## Public Attributes
uint32_t | transfer_direction
uint32_t | data_size
uint32_t | clock_polarity
uint32_t | clock_phase
uint32_t | slave_select
uint32_t | baud_rate
uint32_t | rx_sample_delay

## Detailed Description

LL SPIM init structures definition.

Definition at line 76 of file gr533x_ll_spi.h.

## Member Data Documentation

## ◆ baud_rate

uint32_t _ll_spim_init_t::baud_rate

Specifies the BaudRate prescaler value which will be used to configure the transmit and receive SCK clock. This parameter can be one even value between 2 and 65534, if the value is 0, the SCLK is disable.

Note
  The communication clock is derived from the master clock. The slave clock does not need to be set.

This feature can be modified afterwards using unitary function ll_spi_set_baud_rate_prescaler().

Definition at line 103 of file gr533x_ll_spi.h.

## ◆ clock_phase

uint32_t _ll_spim_init_t::clock_phase

Specifies the clock active edge for the bit capture. This parameter can be a value of Clock Phase.

This feature can be modified afterwards using unitary function ll_spi_set_clock_phase().

Definition at line 93 of file gr533x_ll_spi.h.

## ◆ clock_polarity

uint32_t _ll_spim_init_t::clock_polarity

Specifies the serial clock steady state. This parameter can be a value of Clock Polarity.

This feature can be modified afterwards using unitary function ll_spi_set_clock_polarity().

Definition at line 88 of file gr533x_ll_spi.h.

## ◆ data_size

uint32_t _ll_spim_init_t::data_size

Specifies the SPI data size. This parameter can be a value of Datawidth.

This feature can be modified afterwards using unitary function ll_spi_set_data_size().

Definition at line 83 of file gr533x_ll_spi.h.

## ◆ rx_sample_delay

uint32_t _ll_spim_init_t::rx_sample_delay

Specifies the RX sample delay. It is used to delay the sample of the RX input port. This parameter can be a number between 0 and 0x7

Definition at line 109 of file gr533x_ll_spi.h.

## ◆ slave_select

uint32_t _ll_spim_init_t::slave_select

Specifies the SPI slave select. This parameter can be a value of Slave Select.

This feature can be modified afterwards using unitary function ll_spi_enable_ss().

Definition at line 98 of file gr533x_ll_spi.h.

## ◆ transfer_direction

uint32_t _ll_spim_init_t::transfer_direction

Specifies the SPI unidirectional or bidirectional data mode. This parameter can be a value of Transfer Mode.

This feature can be modified afterwards using unitary function ll_spi_set_transfer_direction().

Definition at line 78 of file gr533x_ll_spi.h.

The documentation for this struct was generated from the following file:

- gr533x_ll_spi.h